Kubernetes
List Kubernetes clusters
get
/kubernetes/View all your Kubernetes clusters with status and node counts.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Responses
Successful Response
application/json
array<KubernetesClusterSummaryOut>
uuid*string
project_id*integer
name*string
label?string | null
status*string
version*string
ha_control_plane*boolean
api_endpoint?string | null
location*LocationSummaryOut
Properties (3)
id*integer
location_name*string
description?string | null
worker_count*integer
node_pool_count*integer
protected?boolean
Default
falsecreated_at*string
Format
date-time